org.apache.ignite.internal.processors.query.schema

## Class SchemaKey

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.SchemaKey

    public class SchemaKey
    extends Object

Schema key.

### Constructor Summary

Constructors
Constructor and Description
`SchemaKey(String space, IgniteUuid depId)` Constructor.

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemaKey

    public SchemaKey(String space,
             IgniteUuid depId)

Constructor.

Parameters:
  `space` - Space.
  `depId` - Deployment ID.

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017